import imageSize from "../vendor/image-size/index.js";
async function imageMetadata(data) {
  const { width, height, type, orientation } = imageSize(data);
  const isPortrait = (orientation || 0) >= 5;
  if (!width || !height || !type) {
    return void 0;
  }
  return {
    width: isPortrait ? height : width,
    height: isPortrait ? width : height,
    format: type,
    orientation
  };
}
export {
  imageMetadata
};
